#include <stdio.h>
#include "sys_mcmr.h"
#include "mcmr.h"

int Print_R()
{
    int i;

    printf(" --------- Resources : R -------------- \n");
    for (i=0;i < R.nSetSize;i++) {
        printf("%3d(%1d) : Capacity = %6.2f, Available = %6.2f\n",
                R.id[i], R.inuse[i], R.dCapacity[i], R.dAvailable[i]); 
    }
    printf("\n");

    return ERR_SUCC; 
}

int Print_C()
{
    int i, j;

    printf(" --------- Classes : C -------------- \n");
    for (i=0;i < C.nSetSize;i++) {
        printf("%3d(%1d) : ArrRate = %6.2f, NumResource = %3d\n",
                C.id[i], C.inuse[i], C.dArrRate[i], C.nNumResources[i]); 
        for (j=0;j < C.nNumResources[i];j++) {
            printf("\t resource %3d : Require = %6.2f, SerRate = %6.2f\n",
                    C.sResources[i][j].nIndex, C.sResources[i][j].dRequire,
                    C.sResources[i][j].dSerRate); 
        }
    }
    printf("\n");

    return ERR_SUCC;
}
