#ifndef __ZITERATION_H
#define __ZITERATION_H

#ifdef _cplusplus
extern "C" {
#endif

#include "mcmr.h"

void ComputeUtilization( CLASS** pClasses, unsigned int nClasses,  
			 RESOURCE** pResources, unsigned int nResources );

void ComputeBlocking( RESOURCE* pRes );

void DoIteration( RESOURCE* pRes, double dEpsilon );

void DoComputation( CLASS* classes[], unsigned int nClasses,
		    RESOURCE* resources[], unsigned int nResources,
		    double dInterval, double dDelta,
		    EVENT* events[],
		    double dEpsilon, double dDumpPeriod  );

#ifdef _cplusplus
}
#endif

#endif /* __ZITERATION_H */
